pilot-getromtoken(1)

NAME
pilot-getromtoken - Reads a ROM token from a Palm Handheld device.

SECTION

pilot-link: Tools

SYNOPSIS

 pilot-getromtoken [-p|--port <port>] [--version] [-?|--help] [--usage] [-q|--quiet] [-t|--token token] [-s|--sysinfo] [--ram] [--rom] [filename]

DESCRIPTION

Tokens you may currently extract are:

adcc: Entropy for internal A->D convertor calibration

irda: Present only on memory card w/IrDA support

snum: Device serial number (from Memory Card Flash ID)

 pilot-getromtoken is used to fetch the ROM from your Palm handheld for use in debugging Palm applications through the use of POSE, the Palm OS Emulator application.

Note, because pilot-getrom uses the low-level RPC protocol to fetch the ROM image, and the new OS5 devices do not use this protocol, you currently cannot fetch an OS5 ROM image using this utility. This will be updated in a future release to handle fetching OS5 ROM images, using the debugger protocol.

OPTIONS

  pilot-getromtoken options
                        -t,
                        --token token

A ROM token to read (i.e. snum)
                        -s, --sysinfo

Print SysInfo
                        --ram

Read RAM
                        --rom

Read ROM
                        <filename>

Write the ROM image to the file named by <filename>. If this is omitted, the filename will be written out as the rom version name as follows: 'pilot-$VERSION.rom' ,where an OS 3.5 image would be written as the filename of 'pilot-3.5.0.rom'.

  Conduit Options
                        -p, --port
                        <port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-getrom will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-getrom will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-getrom and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-getrom and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

Connect to a target Palm handheld and fetch the ROM for use in debugging Palm applications through the use of POSE, the Palm OS Emulator or with the CoPilot application (deprecated).

LICENSING

 Warning: Please completely back up your Palm this program! The developers of pilot-link are not responsible for any data loss that may occur from the use of this application.

Use of this program MAY place you in violation of your license agreement with Palmsource, Inc. or other OEM partners. Please read your Palm documentation (specifically the "Software License Agreement") before running this program.

AUTHOR

 pilot-getrom was originally written by Owen Stenseth.

This manual page was written by Neil Williams <linux@codehelp.co.uk>

BUGS

  Known Bugs

 pilot-getrom does not work with OS5 devices as yet, due to changes in the architecture and design of the Palm HotSync protocol and file type changes from m68k to ARM. Other than that, pilot-getrom has no known bugs at this time.

  Reporting Bugs

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-getram(1), pilot-link(7).